# coding: utf-8
$:.push File.expand_path('../lib', __FILE__)
require 'bfc-lint/version'

Gem::Specification.new do |s|
  s.name = 'bfc-lint'
  s.version = BFCLint::VERSION
  s.platform = Gem::Platform::RUBY
  s.authors = ['Jason Berlinsky']
  s.email = 'jason@barefootcoders.com'
  s.homepage = 'http://www.barefootcoders.com/'
  s.summary = 'Barefoot Coders\' default code style guide'
  s.license = 'MIT'
  s.description = <<-DESC
Applies a series of CodeClimate defaults to standardize code style.
DESC

  s.files = `git ls-files`.split("\n")
  s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ['lib']

  s.add_dependency('thor', '~> 0.19')

  s.add_development_dependency('bundler')
  s.add_development_dependency('rake')
  s.add_development_dependency('rdoc')
end
